CREATE TABLE atk_watchlist_items (
    WATCHLIST_USER_ITEM_ID           NUMBER(18, 0) ,
    WATCHLIST_ITEM_CODE              VARCHAR2(400)     NOT NULL,
    USER_ID                          VARCHAR2(256) ,
    WATCHLIST_ITEM_NAME              VARCHAR2(1600),
    SAVED_SEARCH_VIEW_CRITERIA_ID    VARCHAR2(1600),
    REFRESH_STATUS                   VARCHAR2(120) ,
    LAST_REFRESH_REQUEST_TIME        TIMESTAMP(6)  ,
    ITEM_COUNT                       NUMBER(9, 0)  ,
    LAST_REFRESH_COMPLETION_DATE     TIMESTAMP(6)  ,
    CATEGORY_ENABLED_FLAG            VARCHAR2(4)   ,
    ITEM_ENABLED_FLAG                VARCHAR2(4)   ,
    ENABLE_ZERO_ITEMS_FLAG           VARCHAR2(4)   ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    WATCHLIST_USER_ITEM_ID           NUMBER(18, 0) ,
    WATCHLIST_ITEM_CODE              VARCHAR2(400)     NOT NULL,
    USER_ID                          VARCHAR2(256) ,
    WATCHLIST_ITEM_NAME              VARCHAR2(1600),
    SAVED_SEARCH_VIEW_CRITERIA_ID    VARCHAR2(1600),
    REFRESH_STATUS                   VARCHAR2(120) ,
    LAST_REFRESH_REQUEST_TIME        TIMESTAMP(6)  ,
    ITEM_COUNT                       NUMBER(9, 0)  ,
    LAST_REFRESH_COMPLETION_DATE     TIMESTAMP(6)  ,
    CATEGORY_ENABLED_FLAG            VARCHAR2(4)   ,
    ITEM_ENABLED_FLAG                VARCHAR2(4)   ,
    ENABLE_ZERO_ITEMS_FLAG           VARCHAR2(4)   ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atk_watchlist_items PRIMARY KEY (WATCHLIST_USER_ITEM_ID, WATCHLIST_USER_ITEM_ID)
);
